%define _fdidir %_datadir/hal/fdi

Summary: Device information files for HAL
Name: hal-info
Version: 20071212
Release: alt0.M40.1
License: AFL/GPL
Group: System/Libraries
URL: http://www.freedesktop.org/Software/hal
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Conflicts: hal <= 0.5.9.1-alt1

BuildArch: noarch
BuildRequires: libhal-devel >= 0.5.10

Source0: http://hal.freedesktop.org/releases/%name-%version.tar.gz

Patch0: hal-0.5.5.1-PALM-T3.patch
Patch1: hal-info-20071030-alt-split-k750_w810i.patch

%description 
The hal-info package contains various device information files for the hal package.

%prep
%setup -q

%patch0 -p1
%patch1 -p1

echo %version > VERSION

%build
%__autoreconf
%configure

%install
%make DESTDIR=%buildroot install

%files
%dir %_datadir/hal
%dir %_fdidir
%dir %_fdidir/information
%dir %_fdidir/preprobe
%dir %_fdidir/information/10freedesktop
%dir %_fdidir/preprobe/10osvendor
%_fdidir/information/10freedesktop/*.fdi
%_fdidir/preprobe/10osvendor/*.fdi

%changelog
* Mon Dec 17 2007 Valery Inozemtsev <shrek@altlinux.ru> 20071212-alt0.M40.1
- build for branch 4.0

* Thu Dec 13 2007 Valery Inozemtsev <shrek@altlinux.ru> 20071212-alt1
- 20071212

* Thu Nov 22 2007 Valery Inozemtsev <shrek@altlinux.ru> 20071030-alt1.M40.1
- build for branch 4.0

* Mon Nov 19 2007 Valery Inozemtsev <shrek@altlinux.ru> 20071030-alt2
- split K750i, W810i, K610i, W300i mobile phone information

* Wed Oct 30 2007 Valery Inozemtsev <shrek@altlinux.ru> 20071030-alt1
- 20071030

* Fri Oct 12 2007 Valery Inozemtsev <shrek@altlinux.ru> 20071011-alt1
- 20071011

* Sun Sep 30 2007 Valery Inozemtsev <shrek@altlinux.ru> 20070925-alt1
- 20070925

* Mon Sep 03 2007 Valery Inozemtsev <shrek@altlinux.ru> 20070831-alt1
- 20070831

* Mon Jul 30 2007 Valery Inozemtsev <shrek@altlinux.ru> 20070725-alt1
- 20070725
